Page MenuHomePhabricator

Special:UrlShortener should have a "help" link
Closed, ResolvedPublic

Description

Currently, Special:UrlShortener doesn't have a help link. It should, and it should link to https://meta.wikimedia.org/wiki/Wikimedia_URL_Shortener, which is where the mediawiki page links to for user documentation

Details

Related Gerrit Patches:
mediawiki/extensions/UrlShortener : masterAdd "help" button to Special:UrlShortener

Event Timeline

DannyS712 created this task.Jun 3 2019, 8:19 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 3 2019, 8:19 AM

Change 513960 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/UrlShortener@master] Add "help" button to Special:UrlShortener

https://gerrit.wikimedia.org/r/513960

Per comments on the gerrit patch, a short documentation page is being created at mediawiki to link to instead

DannyS712 updated the task description. (Show Details)Jun 7 2019, 8:36 PM
DannyS712 triaged this task as Low priority.Jun 13 2019, 8:47 AM
Huji closed this task as Resolved.Jul 11 2019, 11:17 PM
Huji removed a project: Patch-For-Review.
DannyS712 reopened this task as Open.Jul 11 2019, 11:26 PM
DannyS712 added a subscriber: Huji.

@Huji both this and T224816 failed to merge, with the following error:

docker: Error response from daemon: manifest for docker-registry.wikimedia.org/releng/quibble-stretch-hhvm:0.0.32-1-s2 not found.

As did https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/CentralAuth/+/522211/, which shouldn't have failed by any means - all it does is replace a space with an underscore in a string

Change 513960 merged by jenkins-bot:
[mediawiki/extensions/UrlShortener@master] Add "help" button to Special:UrlShortener

https://gerrit.wikimedia.org/r/513960

DannyS712 closed this task as Resolved.Jul 11 2019, 11:44 PM